이 콘텐츠는 선택한 언어로 제공되지 않습니다.
10.3. Search Quickstarts
Description
Search for a quickstart using a search term.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /api/v1/quickstarts.json?search=search_term |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
search | Search term to use for the quickstart. | Yes |
cURL Command Example
$ curl -X GET https://www.openshift.com/api/v1/quickstarts.json?search=wordpress --user user@example.com
JSON Response
The API returns information about all quickstarts that match the specified search string. See Chapter 10, Quickstarts for more information on all quickstart parameters.
{
"data": [
{
"quickstart": {
"id": "12724",
"href": "https://www.openshift.com/quickstarts/wordpress-3x",
"name": "WordPress 3.x",
"updated": "1365011887",
"summary": "A semantic personal publishing platform written in PHP with a MySQL back end, focusing on aesthetics, web standards, and usability. Currently using version 3.5.1.\n\nThe first time you access the app you'll be asked to set a username and password and give your blog a name. Be sure to track security updates from upstream.",
"body": "<p>A semantic personal publishing platform written in PHP with a MySQL back end, focusing on aesthetics, web standards, and usability. Currently using version 3.5.1.</p>\n\n<p>The first time you access the app you'll be asked to set a username and password and give your blog a name. Be sure to track security updates from upstream.</p>",
"cartridges": "php-*, mysql-*",
"website": "http://wordpress.org",
"tags": "blog, cms, instant_app, not_scalable",
"language": "PHP",
"initial_git_url": "git://github.com/openshift/wordpress-example.git",
"provider": "openshift"
}
}
]
}